

"""
Functions dealing with the storage ring pvs

"""
from epics import caget
from time import sleep

from iexcode.instruments.utilities import dateandtime

def wait_for_beam(ring_current=80):
    """
    Monitors the storage ring current and breaks when the ring current is above 60 mA
    Checks the status every 30 seconds
    """
    while True:
        SR=caget("S:SRcurrentAI.VAL")
        if (SR<ring_current):
            sleep(30)
        else:
            print("Beam is back -"+dateandtime())
            break