import iexcode.instruments.cfg as iex

from iexcode.instruments.ARPES import folders_ARPES
from iexcode.instruments.kappa import folders_kappa

def folders_startup(run):
    """
    Creates the run directories for the following:
    data_29idb
    data_29idc
    data_29idd

    calls folder_ARPES('Staff');folder_Kappa('Staff')

    print text required to modify the rsynch crontab

    previously: Folders_Startup
    """
    data_directories=['data_29idb','data_29idc','data_29idd']
    dserv="/net/s29data/export/"
    for dataDir in data_directories:
        path=join(dserv,dataDir,run)
        print(path)
        if not (exists(path)):
            mkdir(path)

    folders_ARPES('Staff',create_only=True)
    folders_kappa('Staff',create_only=True)

    txt="\n\n\nupdate the rsync portion the 29id@nerdy crontab\n"
    txt+="*/1 * * * * /usr/bin/rsync -av --exclude=core /net/s29data/export/data_29idd/"+run+" kip:/net/kip/sftp/pub/29iddftp/files >  /home/beams22/29ID/cronfiles/cptoftp-currrun-d.log 2>&1"
    txt+=("\n")
    txt+="*/1 * * * * /usr/bin/rsync -av --exclude=core /net/s29data/export/data_29idd/"+run+" kip:/net/kip/sftp/pub/29iddftp/files >  /home/beams22/29ID/cronfiles/cptoftp-currrun-d.log 2>&1"
    print(txt)